Bug 211043 - Review Request: vdradmin-am - Web interface for VDR
Review Request: vdradmin-am - Web interface for VDR
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-16 17:31 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-26 01:16:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-10-16 17:31:50 EDT
http://cachalot.mine.nu/6/SRPMS/vdradmin-am.spec
http://cachalot.mine.nu/6/SRPMS/vdradmin-am-3.4.7-2.src.rpm

VDRAdmin-AM is a web interface for managing VDR.

rpmlint:
- non-standard-[ug]id: intentional, ignorable
- non-readable vdradmind.conf: intentional, contains eg. passwords
- log-files-without-logrotate: logging is off by default, I'd rather not have
  a dependency on logrotate here (not a strong opinion though)
- dangerous-command-in-%postun rm: intentional - to clean up possibly no
  longer needed compiled templates on upgrades
- incoherent-subsys: rpmlint bug/limitation
- incoherent-init-script-name: intentional, harmless

Some notes:
- There's no dependency on VDR because vdradmin-am does not need to be located on the same box as the VDR it accesses.
- /var/lib/vdradmin/vdradmind.conf is in /var/lib/vdradmin instead of somewhere in /etc because it's not intended to be edited by hand after initial config, but through vdradmin-am's web UI (and vdradmind needs to write to it)
Comment 1 Kevin Fenzi 2006-10-19 22:58:18 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
b3f862dfa078bdef05b52a841850c65a  vdradmin-am-3.4.7.tar.bz2
b3f862dfa078bdef05b52a841850c65a  vdradmin-am-3.4.7.tar.bz2.1
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have sane scriptlets.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. rpmlint says:

You've addressed these in the bug, but a few comments:

E: vdradmin-am non-standard-uid /var/cache/vdradmin vdradmin
E: vdradmin-am non-standard-gid /var/cache/vdradmin vdradmin
E: vdradmin-am non-standard-uid /var/log/vdradmin vdradmin
E: vdradmin-am non-standard-gid /var/log/vdradmin vdradmin
E: vdradmin-am non-standard-uid /var/lib/vdradmin/vdradmind.conf vdradmin
E: vdradmin-am non-standard-gid /var/lib/vdradmin/vdradmind.conf vdradmin
E: vdradmin-am non-readable /var/lib/vdradmin/vdradmind.conf 0640
E: vdradmin-am non-standard-uid /var/lib/vdradmin vdradmin
E: vdradmin-am non-standard-gid /var/lib/vdradmin vdradmin
E: vdradmin-am non-standard-uid /var/run/vdradmin vdradmin
E: vdradmin-am non-standard-gid /var/run/vdradmin vdradmin
W: vdradmin-am log-files-without-logrotate /var/log/vdradmin

If the log files were enabled would they provide any usefull information?

W: vdradmin-am dangerous-command-in-%postun rm

I wish there was a way to avoid this. Is the cache directory multi-level?
or single directory of files? If so, you can remove the -r from the rm at
least.

W: vdradmin-am incoherent-subsys /etc/rc.d/init.d/vdradmind $prog
W: vdradmin-am incoherent-init-script-name vdradmind

2. Should this package require 'httpd' or 'webserver' ?

3. Should the description mention that you need a vdr install somewhere in 
order for this package to be usefull?

Comment 2 Ville Skyttä 2006-10-20 03:05:08 EDT
(In reply to comment #1)

> If the log files were enabled would they provide any usefull information?

I guess that depends on what one considers useful.  Logging is disabled by 
default upstream too, and I don't remember ever enabling it myself during the 
few years I've used vdradmin.

> W: vdradmin-am dangerous-command-in-%postun rm
> 
> I wish there was a way to avoid this. Is the cache directory multi-level?
> or single directory of files? If so, you can remove the -r from the rm at
> least.

That depends on how perl-Template-Toolkit works.  Currently it creates the 
same dir structure as where the templates are to below /var/cache/vdradmin, 
ie. /var/cache/vdradmin/usr/share/vdradmin/template/...  Leaving 
the "compiled" templates there should not break anything, but will leave trash 
behind as upstream templates are renamed/removed on upgrades, as well as on 
final removal.

> 2. Should this package require 'httpd' or 'webserver' ?

No.  vdradmin-am is a standalone app-specific webserver itself.  There's just 
an example config snippet in docs which can be used to proxy it behind Apache.

> 3. Should the description mention that you need a vdr install somewhere in 
> order for this package to be usefull?

Well, it already says "VDRAdmin-AM is a web interface for managing VDR" so I 
suppose it's pretty clear that in order for it to be useful, VDR is needed 
somewhere.  Improvement suggestions to %description are welcome, though.
Comment 3 Kevin Fenzi 2006-10-24 14:03:56 EDT
Sorry for the delay in getting back to you on this review. 

ok on the logging. 

I looked at perl-Template-Toolkit a bit, but didn't see any clever way around
removing those template files in postun, so I guess that has to be there. ;( 

On the description, perhaps add: 
"You will need access to a local or remote VDR install to use this package". 

I don't see any remaining blockers here, so this package is APPROVED. 

Don't forget to close this review with NEXTRELEASE once it's been imported and
built. 

Consider reviewing another waiting package to help spread out the review load. ;) 

Comment 4 Ville Skyttä 2006-10-26 01:16:54 EDT
Built for devel, FC-[56] will follow soon.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.